/*****************************************************************
 * Copyright (c) 2015 Texas Instruments and others
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Paul Gingrich - Initial API and implementation
 *****************************************************************/
var gc = gc || {};
gc.databind = gc.databind || {};

(function() // closure for private static methods and data.
{
    var ConfigModel = function()
    {
        gc.databind.AbstractBindFactory.call(this);
        this.init();
    };
    
    ConfigModel.prototype = new gc.databind.AbstractBindFactory('config');
    
    ConfigModel.prototype.createNewBind = function(name)
    {
        return new gc.databind.VariableBindValue();
    };
    
    gc.databind.registry.registerModel(new ConfigModel());

}());
